GET
/api/v1/get_estimates/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/get_estimates/?start_date=<START_DATE>&end_date=<END_DATE>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/get_estimates/", params={"start_date": "<START_DATE>", "end_date": "<END_DATE>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/get_estimates/");url.search = new URLSearchParams({ start_date: "<START_DATE>", end_date: "<END_DATE>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Fetches billing estimates for the provided date range and project, with detailed breakdowns of each item.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”start_date
required
string
Example
2025-04-01Start date for the billing estimate (format- YYYY-MM-DD).
end_date
required
string
Example
2025-04-29End date for the billing estimate (format- YYYY-MM-DD).
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successful billing estimates response
Media typeapplication/json
object
code
integer
data
object
total_amount
number format: float
itemlist
Array<object>
object
item_name
string
public_ip
string
item_description
string
quantity
string
rate
string
amount
string
project_name
string
errors
object
message
string
Example
{ "code": 200, "data": { "total_amount": 1472.65, "itemlist": [ { "item_name": "ADDON IP", "public_ip": "164.52.207.136", "item_description": "164.52.207.136 addon ip", "quantity": "1.00", "rate": "199.00", "amount": "199.00", "project_name": "default-project-35380" } ] }, "errors": {}, "message": "Success"}